Dataset - Get
Applies to: see pricing tiers.
Creator makes it possible to develop applications based on your private indoor map data using Azure Maps API and SDK. This article introduces concepts and tools that apply to Azure Maps Creator.
This API allows the caller to fetch a previously successfully created dataset.
Submit Get Details Request
To get the details for a previously created dataset, you will issue a GET request with the datasetId in the path.
Get Details Response
The Get Details API returns the details for a dataset in json format. The response contains the following fields (if they are not null or empty):
created - The timestamp the dataset was created. datasetId - The id for the dataset. description - The description for the dataset. datasetSources - The source data that was used when the create request was issued. ontology - The source ontology that was used in the conversion service for the input data.
The datasetSources describes the source data that was used when the create request was issued and contains the following elements (if they are not null or empty):
conversionIds - The list of
conversionId(null if none were provided). appendDatasetId - ThedatasetIdthat was used for an append operation (null if none was used). featureCounts - The counts for each feature type in the dataset.
Here's a sample response returning the timestamp, datasetId, description, datasetSources, and ontology of a dataset resource:
{
"timestamp": "2020-01-01T22:50:48.123Z",
"datasetId": "f6495f62-94f8-0ec2-c252-45626f82fcb2",
"description": "Some description or comment for the dataset.",
"datasetSources": {
"conversionIds": [
"15d21452-c9bb-27b6-5e79-743ca5c3205d"
],
},
"ontology": "facility-2.0",
"featureCounts": {
"directoryInfo": 2,
"category": 10,
"facility": 1,
"level": 3,
"unit": 183,
"zone": 3,
"verticalPenetration": 6,
"opening": 48,
"areaElement": 108
}
}
GET https://{geography}.atlas.microsoft.com/datasets/{datasetId}?api-version=2.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
|
The identifier for the dataset to query from. |
|
geography
|
path | True |
|
This parameter specifies where the Azure Maps Creator resource is located. Valid values are us and eu. |
|
api-version
|
query | True |
|
Version number of Azure Maps API. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
|
Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The get dataset request completed successfully. |
|
| Other Status Codes |
An unexpected error occurred. |
Security
AADToken
These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.
To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.
Notes
- This security definition requires the use of the
x-ms-client-idheader to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.
The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations.
*
The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
*
Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
- Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default | https://atlas.microsoft.com/.default |
subscription-key
This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.
For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.
Type:
apiKey
In:
query
SAS Token
This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.
For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.
Type:
apiKey
In:
header
Examples
Get details for a previously created dataset
Sample Request
GET https://us.atlas.microsoft.com/datasets/[datasetId]?api-version=2.0
Sample Response
Location: https://us.atlas.microsoft.com/dataset/{datasetId}?api-version=1.0
Access-Control-Expose-Headers: Resource-Location
{
"created": "2021-05-21T01:02:03.456Z",
"datasetId": "[datasetId]",
"description": "Some description or comment about the dataset",
"datasetSources": {
"conversionIds": [
"15d21452-c9bb-27b6-5e79-743ca5c3205d",
"c39de51c-b4f5-4733-aeeb-d8cb6f8b2f1d"
],
"appendDatasetId": "6a49a490-1d9c-4f05-bf1e-51998fbc4733"
},
"featureCounts": {
"directoryInfo": 2,
"category": 10,
"facility": 1,
"level": 3,
"unit": 183,
"zone": 3,
"verticalPenetration": 6,
"opening": 48,
"areaElement": 108
},
"ontology": "facility-2.0"
}
Definitions
| Dataset |
Detail information for the dataset. |
|
Dataset |
Information about the details of the create request for the dataset. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
Dataset
Detail information for the dataset.
| Name | Type | Description |
|---|---|---|
| created |
|
The created timestamp for the dataset. |
| datasetId |
|
The id for the dataset. |
| datasetSources |
Information about the details of the create request for the dataset. |
|
| description |
|
The description for the dataset. |
| featureCounts |
|
The feature counts for the dataset. |
| ontology |
|
The ontology version of this dataset. |
DatasetSources
Information about the details of the create request for the dataset.
| Name | Type | Description |
|---|---|---|
| appendDatasetId |
|
The dataset that was appended to to create the current dataset. |
| conversionIds |
|
The list of |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |